as_xml_document {xml2} | R Documentation

## Coerce a R list to xml nodes.

### Description

This turns an R list into the equivalent XML document. Not all R lists will produce valid XML, in particular there can only be one root node and all child nodes need to be named (or empty) lists. R attributes become XML attributes and R names become XML node names.

### Usage

    as_xml_document(x, ...)

### Arguments

`x` | A document, node, or node set.
`...` | Needed for compatibility with generic. Unused.

### Examples

    as_xml_document(list(x = list()))

    # Nesting multiple nodes
    as_xml_document(list(foo = list(bar = list(baz = list()))))

    # attributes are stored as R attributes
    as_xml_document(list(foo = structure(list(), id = "a")))
    as_xml_document(list(foo = list(
         bar = structure(list(), id = "a"),
         bar = structure(list(), id = "b"))))

[Package xml2 version 1.2.0 Index]